
QGIS Application - Feature request #1483

Possibility to copy and paste a layer

2009-01-12 04:06 AM - bjpfei -

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11543

Description

It would be great to have the possibility to copy and paste a layer in the legend.

1.) right mouse click on the layer in the legend

2.) click sth like copy layer

3.) right mouse click somewhere in the legend

4.) click sth like paste layer

I know this is already possible with creating a new shapefile and copying all the features of the existing shapefile and insert them in the

new shapefile.

But I think the described way would be much more easy and attractive for many users.

Thanks.

History

#1 - 2009-01-12 10:50 AM - Maciej Sieczka -

What is the purpose of this functionality - to actually create a duplicate Shapefile, or to duplicate the layer on the layer's list?

#2 - 2009-01-12 10:44 PM - bjpfei -

I thought of duplicating the layer on the layer's list.

But maybe creating a duplicate shapefile in this way is also an interesting feature?

#3 - 2010-06-11 10:14 PM - Paolo Cavallini

Unclear what is the use case for this

#4 - 2011-03-04 03:07 PM - Volker Fröhlich

Easily duplicating a layer entry in the layer list could be handy if you wanted to use the same dataset but apply different queries.

Could work like drag and drop with Ctrl key down to copy, or so.
#5 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2012-11-02 03:01 PM - Larry Shaffer

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Implemented in commit:c11df1aa79 as 'Duplicate layer(s)' action. Does not include the copy/paste feature, or drag/drop duplicate support, requested

here.

#9 - 2012-11-30 01:06 AM - bjpfei -

- Status changed from Open to Closed

For me the solution fixed in #5899 is OK.

So ticket can be closed
